#
# spec file for package kdegames4-carddecks (Version 4.3.5)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           kdegames4-carddecks
BuildRequires:  libkde4-devel
License:        LGPLv2.1+
Group:          System/GUI/KDE
Summary:        Default Card Decks for KDE Games
Url:            http://www.kde.org
Version:        4.3.5
Release:        0.1.1
Source0:        kdegames-%version.tar.bz2
Patch0:         4_3_BRANCH.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This package contains the default card deck set for KDE games.



Authors:
--------
    The KDE Team <kde@kde.org>

%prep
%setup -q -n kdegames-%version
%patch0

%build
  %cmake_kde4 -d build
  cd libkdegames/carddecks
  %make_jobs

%install
  cd build/libkdegames/carddecks
  %makeinstall
  %kde_post_install

%clean
  rm -rf $RPM_BUILD_ROOT

%package other
License:        LGPLv2.1+
Group:          System/GUI/KDE
Summary:        Further Card Decks for KDE Games
BuildArch:      noarch
Requires:       kdegames4-carddecks-default = %version

%description other
This package contains several further card deck set for KDE games.



Authors:
--------
    The KDE Team <kde@kde.org>

%files other
%defattr(-,root,root)
%doc COPYING COPYING.LIB README
%exclude %_kde_share_dir/apps/carddecks/decks
%exclude %_kde_share_dir/apps/carddecks/svg-standard
%exclude %_kde_share_dir/apps/carddecks/svg-oxygen-white
%exclude %_kde_share_dir/apps/carddecks/svg-ancient-egyptians
%_kde_share_dir/apps/carddecks

%package default
License:        LGPLv2.1+
Group:          System/GUI/KDE
Summary:        Default Card Decks for KDE Games
BuildArch:      noarch

%description default
This package contains the default card deck set for KDE games.



Authors:
--------
    The KDE Team <kde@kde.org>

%files default
%defattr(-,root,root)
%doc COPYING COPYING.LIB README
%_kde_share_dir/apps/carddecks/decks
%_kde_share_dir/apps/carddecks/svg-standard
%_kde_share_dir/apps/carddecks/svg-oxygen-white
%_kde_share_dir/apps/carddecks/svg-ancient-egyptians

%changelog
* Thu Jan 21 2010 dmueller@suse.de
- update to 4.3.5
  * see http://kde.org/announcements/changelogs/changelog4_3_4to4_3_5.php for details
* Thu Dec  3 2009 dmueller@suse.de
- update to 4.3.4
  * see http://kde.org/announcements/changelogs/changelog4_3_3to4_3_4.php for details
* Thu Nov 19 2009 llunak@novell.com
- sync 11.2 KDE packages with SLE (fate#305847)
* Thu Sep 24 2009 beineri@opensuse.org
- update 4_3_BRANCH.diff: fix update bug in kgamethemeselector
* Wed Sep 16 2009 coolo@novell.com
- do branch update for improved translations
* Fri Aug 28 2009 dmueller@suse.de
- update to 4.3.1
  * see http://kde.org/announcements/changelogs/changelog4_3_0to4_3_1.php for details
* Wed Aug 26 2009 mls@suse.de
- make patch0 usage consistent
* Tue Aug 18 2009 beineri@opensuse.org
- fix bovo menu entry icon
* Thu Jul 30 2009 coolo@novell.com
- take the default carddeck into -default
* Wed Jul 29 2009 dmueller@suse.de
- update to 4.3.0
  * see http://kde.org/announcements/4.3 for details
* Tue Jul 21 2009 dmueller@suse.de
- update to 4.2.98
* Wed Jul  8 2009 dmueller@suse.de
- update to 4.2.96
* Wed Jun 24 2009 dmueller@suse.de
- update to 4.2.95
* Sat Jun 20 2009 beineri@opensuse.org
- drop kde4- package prefixes
* Wed Jun  3 2009 dmueller@suse.de
- update to 4.2.90
* Wed May 27 2009 dmueller@suse.de
- update to 4.2.88svn973768
* Tue May 19 2009 dmueller@suse.de
- update to 4.2.87svn969966
* Mon May 18 2009 dmueller@suse.de
- update to 4.2.86svn967995
* Thu May 14 2009 dmueller@suse.de
- update to 4.2.85 (KDE 4.3 Beta1)
* Thu May 14 2009 dmueller@suse.de
- add runtime requires to lib
* Thu Apr 30 2009 dmueller@suse.de
- update to 4.2.3
  * see http://kde.org/announcements/changelogs/changelog4_2_2to4_2_3.php
* Sat Apr  4 2009 coolo@suse.de
- refresh all patches to fix build
* Fri Mar 27 2009 dmueller@suse.de
- update to 4.2.2
  * see http://kde.org/announcements/changelogs/changelog4_2_1to4_2_2.php
* Fri Feb 27 2009 dmueller@suse.de
- update to 4.2.1
  * see http://kde.org/announcements/changelogs/changelog4_2_0to4_2_1.php
* Mon Feb 23 2009 dmueller@suse.de
- update branch diff for gcc 4.4 build fixes
* Wed Feb 18 2009 dmueller@suse.de
- update branch diff
* Thu Jan 22 2009 dmueller@suse.de
- update to 4.2.0
* Tue Jan 13 2009 dmueller@suse.de
- update to 4.1.96
* Fri Jan  9 2009 dmueller@suse.de
- update to 4.1.87 (KDE 4.2 Januar snapshot)
* Tue Dec 16 2008 stbinner@suse.de
- versionized split-provides are not supported
* Thu Nov 20 2008 stbinner@suse.de
- add SLE provides/obsoletes
* Tue Nov 11 2008 coolo@suse.de
- manually adding r879382 to fix "ugly default card deck"
* Fri Oct 31 2008 dmueller@suse.de
- update to 4.1.3
  * see http://kde.org/announcements/changelogs/changelog4_1_2to4_1_3.php
* Thu Sep 25 2008 dmueller@suse.de
- update to 4.1.2
  * see http://kde.org/announcements/changelogs/changelog4_1_1to4_1_2.php
* Thu Sep 11 2008 stbinner@suse.de
- branch diff update (many kpat fixes)
- dump unnecssary requirements on empty kdegames4 package
* Thu Aug 28 2008 dmueller@suse.de
- update to 4.1.1
  * see http://kde.org/announcements/changelogs/changelog4_1to4_1_1.php
* Thu Jul 31 2008 dmueller@suse.de
- branch diff update
* Wed Jul 23 2008 dmueller@suse.de
- update to 4.1.0
* Fri Jul 18 2008 dmueller@suse.de
- update to 4.0.99
* Fri Jul 11 2008 dmueller@suse.de
- update to 4.0.98
* Mon Jul  7 2008 dmueller@suse.de
- update to 4.0.85
* Mon Jun 30 2008 stbinner@suse.de
- fix file list
* Thu Jun 26 2008 dmueller@suse.de
- update to 4.0.84
* Wed Jun 18 2008 dmueller@suse.de
- update to 4.0.83
* Tue Jun 10 2008 dmueller@suse.de
- update to 4.0.82
* Mon Jun  9 2008 dmueller@suse.de
- update to 4.0.81
* Tue Jun  3 2008 stbinner@suse.de
- fix default cardset of kpat
* Sun May 11 2008 coolo@suse.de
- do not display kpat debug messages (bnc#389167)
* Fri May  9 2008 dmueller@suse.de
- 4_0_BRANCH.diff update:
  * fix config saving in various games
* Tue May  6 2008 coolo@suse.de
- fix obsoletes for ksudoku
* Thu May  1 2008 dmueller@suse.de
- update to 4.0.4
  * http://www.kde.org/announcements/changelogs/changelog4_0_3to4_0_4.php
* Fri Apr 25 2008 dmueller@suse.de
- add missing obsoletes
* Mon Apr 21 2008 dmueller@suse.de
- fix file lists
* Sun Apr 13 2008 dmueller@suse.de
- update 4_0_BRANCH.diff to fix cmake 2.6 build
* Fri Apr  4 2008 wstephenson@suse.de
- Fix detection of GGZ libraries on factory
* Thu Mar 27 2008 dmueller@suse.de
- update to 4.0.3
* Tue Mar 11 2008 dmueller@suse.de
- typo fix
* Tue Mar 11 2008 dmueller@suse.de
- update 4_0_BRANCH.diff:
  * backport 784428 to fix klines bug 158123
* Wed Feb 27 2008 dmueller@suse.de
- update to 4.0.2
* Wed Feb 20 2008 coolo@suse.de
- backport some fix in trunk
* Fri Feb 15 2008 coolo@suse.de
- really fix kpat demo mode
* Wed Feb 13 2008 dmueller@suse.de
- 4_0_BRANCH.diff update to fix kpat demo mode
* Thu Jan 31 2008 dmueller@suse.de
- update to 4.0.1
* Sun Jan 20 2008 stbinner@suse.de
- update KDE_4_0_BRANCH.diff
* Sat Jan  5 2008 stbinner@suse.de
- update to 4.0 release
* Wed Jan  2 2008 stbinner@suse.de
- update to 3.97.2
* Mon Dec 17 2007 dmueller@suse.de
- update to 3.97.1
* Wed Dec  5 2007 dmueller@suse.de
- update to 3.97.0
* Tue Dec  4 2007 dmueller@suse.de
- update to 3.96.3
* Wed Nov 28 2007 dmueller@suse.de
- update to 3.96.2
* Wed Nov 21 2007 dmueller@suse.de
- update to 3.96.1
* Wed Nov 14 2007 dmueller@suse.de
- update to 3.96.0
* Wed Nov  7 2007 dmueller@suse.de
- update to 3.95.2
* Thu Nov  1 2007 dmueller@suse.de
- update to 3.95.1
* Fri Oct 26 2007 dmueller@suse.de
- update to KDE 4.0 beta4
* Sat Oct 20 2007 dmueller@suse.de
- update to 3.94.1
* Tue Oct 16 2007 dmueller@suse.de
- update to KDE 4.0 beta3
* Tue Oct  2 2007 stbinner@suse.de
- update to 3.93.0.svn720127
* Wed Sep 26 2007 stbinner@suse.de
- update to 3.93.0.svn717255
* Fri Sep 14 2007 stbinner@suse.de
- patch KMahjongg, KMines, KReversi and KPat to start with a bigger
  initial window size (#298995)
* Thu Sep 13 2007 stbinner@suse.de
- update to 3.93.0.svn712055
* Sat Sep  1 2007 stbinner@suse.de
- update to KDE 4.0 Beta 2
* Thu Aug 23 2007 stbinner@suse.de
- update to 3.92.0.svn703908
* Wed Aug 22 2007 stbinner@suse.de
- kpat's default carddeck changed last month, adapt split (#299574)
* Fri Aug 17 2007 stbinner@suse.de
- update to 3.92.0.svn697375
* Thu Aug  9 2007 stbinner@suse.de
- update to 3.92.0.svn697375
* Sat Jul 28 2007 stbinner@suse.de
- update to KDE 4.0 Beta 1
* Thu Jul 19 2007 stbinner@suse.de
- run suse_update_desktop_file macro on ksudoku.desktop
* Thu Jul 12 2007 stbinner@suse.de
- update to 3.91.0.svn685967
* Sat Jun 23 2007 stbinner@suse.de
- update to 3.90.1.svn679001
* Fri Jun  8 2007 stbinner@suse.de
- update to 3.90.1.svn670142
* Mon Jun  4 2007 dmueller@suse.de
- fix build
* Fri Jun  1 2007 coolo@suse.de
- simplify spec file by using macros from kde4-filesystem
- readd kjumpingcube, which was ported
* Mon May 28 2007 dmueller@suse.de
- update to 3.90.1.svn668119
* Mon May  7 2007 stbinner@suse.de
- update to new SVN snapshot (roughly KDE 4.0 Alpha)
* Fri Apr 27 2007 stbinner@suse.de
- initial package in abuild
